Get Credit Check By UUID
This API enables your application to retrieve detailed information for a credit check history using its unique UUID. It provides a complete snapshot of a credit check request including its score, score message, risk level, organizationId/personalNumber.
Use Cases
- Credit Check History: Your application can display a detailed credit check history to users, including information of the person for whom credit check was requested and credit check details data.
Endpoint
GET https://demo-api.frontpayment.no/api/v1/connect/credit/check/details/{{creditCheckUuid}}
Authorization
Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.
Example:
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
Response
A successful request will return a 200 OK status with the following JSON payload:
{
"status_code": 200,
"status_message": "OK",
"message": "creditCheckHistoryRetrievedSuccessfully",
"is_data": true,
"data": {
"uuid": "String",
"date: "String",
"name": "String",
"type": "String",
"companyType": "String",
"organizationId": "String",
"personalNumber": "String",
"countryCode": "String",
"msisdn": "String",
"defaultProbability": "String",
"score": "Integer",
"scoreMessage": "String",
"riskLevel": "String",
}
}
API returns a 404 error, it means requested order with ORDER_UUID could not be found in our system.
{
"status_code": 404,
"status_message": "Not Found",
"message": "creditCheckHistoryNotFound",
"is_data": false,
"data": null
}
API returns a 510 error, it means something failed on the server side
{
"status_code": 510,
"status_message": "Execution Exception Occurred",
"message": "Something Went Wrong",
"is_error": true,
"errors": "Array"
}